// Copyright (C) 2012 Calculate Ltd
// Licence: GPLv2+

const Clutter = imports.gi.Clutter;
const Lang = imports.lang;
const St = imports.gi.St;
const Shell = imports.gi.Shell;
const DateMenu = imports.ui.dateMenu;
const Calendar = imports.ui.calendar;
const Gio = imports.gi.Gio;

const Main = imports.ui.main;
const Mainloop = imports.mainloop;
const PopupMenu = imports.ui.popupMenu;
const userMenuButton = imports.ui.main.panel._statusArea['userMenu'];


function init() {
}

function enable() {
    if(userMenuButton._suspendOrPowerOffItem) {
        userMenuButton._suspendOrPowerOffItem.destroy();
        userMenuButton._suspendOrPowerOffItem = null;
    }
}

function disable() {
    if(!userMenuButton._suspendOrPowerOffItem) {
        let item = new PopupMenu.PopupAlternatingMenuItem(_("Suspend"),
                                                          _("Power Off..."));
        userMenuButton.menu.addMenuItem(item);
        userMenuButton._suspendOrPowerOffItem = item;
        item.connect('activate', Lang.bind(userMenuButton, userMenuButton._onSuspendOrPowerOffActivate));
        userMenuButton._updateSuspendOrPowerOff();
    }
}
